=== debian/control ===
Source: librsvg
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               cargo,
               dh-sequence-gir,
               jq,
               libcairo2-dev (>= 1.2.0),
               libfreetype-dev (>= 2.8.0),
               libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
               libglib2.0-dev (>= 2.50.0),
               libharfbuzz-dev,
               libpango1.0-dev (>= 1.48.11),
               libxml2-dev (>= 2.9.0),
               libgirepository1.0-dev,
               gir1.2-gobject-2.0-dev <!nogir>,
               gir1.2-gdkpixbuf-2.0-dev <!nogir>,
               gir1.2-gio-2.0-dev <!nogir>,
               gir1.2-cairo-1.0-dev <!nogir>,
               locales,
               python3-docutils <!nodoc>,
               rustc (>= 1.70),
               valac (>= 0.17.5)
Build-Depends-Indep: gi-docgen <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
Homepage: https://wiki.gnome.org/Projects/LibRsvg

Package: librsvg2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.2.0),
         libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
         libglib2.0-dev (>= 2.50.0),
         librsvg2-2 (= ${binary:Version}),
         librsvg2-common (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: librsvg2-doc
Multi-Arch: same
Description: SAX-based renderer library for SVG files (development)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the necessary development libraries and include
 files to allow you to develop with librsvg.

Package: librsvg2-2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: librsvg2-common
Suggests: librsvg2-bin
Multi-Arch: same
Description: SAX-based renderer library for SVG files (runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the runtime library, necessary to run
 applications using librsvg.

Package: librsvg2-common
Architecture: any
Depends: librsvg2-2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: SAX-based renderer library for SVG files (extra runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes the gdk-pixbuf loader allowing
 to load SVG images transparently inside GTK+ applications.

Package: librsvg2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: SAX-based renderer library for SVG files (documentation)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the API documentation.

Package: librsvg2-bin
Section: graphics
Architecture: any
Depends: librsvg2-2 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: command-line utility to convert SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes a command-line utility to convert the SVG files
 to the PNG format.

Package: librsvg2-tests
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: automated tests for RSVG library
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains automated tests, which can be run with
 gnome-desktop-testing or autopkgtest.

Package: gir1.2-rsvg-2.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gir files for renderer library for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains GObject-Introspection information.
