=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
+               cargo-c,
                dh-sequence-gir,
+               gi-docgen,
                jq,
                libcairo2-dev (>= 1.2.0),
+               libdav1d-dev,
                libfreetype-dev (>= 2.8.0),
                libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
                libglib2.0-dev (>= 2.50.0),
@@ -21,12 +23,12 @@
                gir1.2-gio-2.0-dev <!nogir>,
                gir1.2-cairo-1.0-dev <!nogir>,
                locales,
+               meson,
                python3-docutils <!nodoc>,
                rustc (>= 1.70),
                valac (>= 0.17.5)
-Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
@@ -38,8 +40,11 @@
          libcairo2-dev (>= 1.2.0),
          libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
          libglib2.0-dev (>= 2.50.0),
+         libpango1.0-dev (>= 1.48.11),
+         libxml2-dev (>= 2.9.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),
+         ${dav1d:Depends},
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
