## librsvg 2.59.2+dfsg

=== debian/changelog ===
librsvg (2.59.2+dfsg-1~1ubuntu24.10.1) oracular; urgency=medium

  * New upstream bugfix release (LP: #2089563).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 26 Nov 2024 20:50:03 +0100
