## librsvg 2.59.90+dfsg

=== debian/changelog ===
librsvg (2.59.90+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 19:31:31 -0500

librsvg (2.59.90+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson
  * Update debian/README.source
  * Update missing-sources & include-binaries per debian/README.source

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 07:46:32 -0500

librsvg (2.59.2+dfsg-1) unstable; urgency=medium

  * New upstream release (LP: #2089563)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 26 Nov 2024 20:50:03 +0100
