## librsvg 2.60.0+dfsg

=== debian/changelog ===
librsvg (2.60.0+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:22:00 +0200

librsvg (2.60.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Update debian/README.source to mention cargo-vendor-filterer

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Mar 2025 08:29:39 -0400
