=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
@@ -24,7 +23,7 @@
                gir1.2-gio-2.0-dev <!nogir>,
                gir1.2-cairo-1.0-dev <!nogir>,
                locales,
-               meson,
+               meson (>= 1.3.0),
                python3-docutils <!nodoc>,
                rustc (>= 1.70),
                valac (>= 0.17.5)
