## librsvg 2.61.2+dfsg

=== debian/changelog ===
librsvg (2.61.2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Bump minimum cargo-c and rustc
  * Continue building the pixbuf loader since Debian's gdk-pixbuf hasn't
    switched to glycin yet
  * Move gi-docgen to Build-Depends-Indep
  * Remove nodoc annotation from python3-docutils
  * Remove Suggests: devhelp
  * Remove unnecessary Build-Depends: libgirepository1.0-dev (Closes: #1118884)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 19:58:18 -0400
