=== debian/changelog ===
librsvg (2.61.3+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 09:55:29 -0500

librsvg (2.61.3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Nov 2025 21:36:34 -0500
